Subject: Re: [PATCH 1/3] remote-helpers: fix the run of all tests

From: Torsten Bögershausen <[email-masked]>
Date: Wed, 03 Apr 2013 07:53:41 +0200

On 02.04.13 19:36, Jeff King wrote:
> On Tue, Apr 02, 2013 at 06:53:28PM +0200, Torsten Bögershausen wrote:
> 
>>> I think the check for duplicate-numbers is the only one that does not
>>> make sense. 
>> []
>> Not sure about that, I send a suggestion of a patch in a minute.
>> Highlights:
>> 1) - rename the contrib test cases and assigns real TC numbers
>> 2) - Forward the numbers into the main "test Makefile"
> 
> I'm not sure if this is a good idea or not. It puts the
> contrib/remote-helpers into the same "number namespace" as the rest of
> the test scripts, and enforces uniqueness with test-lint-duplicates,
> when "make test" is run from contrib/remote-helpers. But people working
> on the main test scripts would not get any such check, and would happily
> break contrib/remote-helpers by adding duplicate test numbers.
> 
> It makes sense to me to either:
> 
>   1. Have the contrib/remote-helpers test live in their own test
>      namespace completely, with their own numbers and test-results, and
>      pull in relevant bits from the main test harness. We do this
>      already with contrib/subtree.  I suggested this when the tests
>      first appeared, but there was some argument, and I don't remember
>      the details.
> 
>   2. Just integrate contrib test scripts into the main repository, but
>      leave them off by default. For example, add:
> 
>        if test -z "$GIT_TEST_REMOTE_HELPERS"; then
>               skip_all="Remote helper tests disabled (define GIT_TEST_REMOTE_HELPERS)"
>               test_done
>        fi
> 
>      to the top of the scripts, and then set GIT_TEST_REMOTE_HELPERS
>      in contrib/remote-helpers/Makefile before chaining to the test
>      Makefile.
> 
> -Peff

I think I do my homework, and start with 3), just check duplicates on numbered
test cases.

http://comments.gmane.org/gmane.comp.version-control.git/214194
I send a patch in a minute (thanks Eric for reading)